# Generated from quickstats-2.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name quickstats

Name: rubygem-%{gem_name}
Version: 2.2.2
Release: 1%{?dist}
Summary: Computationally stable and efficient basic descriptive statistics
License: MIT
URL: https://bitbucket.org/paul_j_sanchez/quickstats
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
BuildArch: noarch

%description
This class uses Kalman Filter updating to tally sample mean and sum of squared
deviations from the average, along with min, max, and sample size. Sample
variance, standard deviation, and standard error are calculated on demand.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/quickstats.gemspec
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 2.2.2-1
- Initial package
